<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteDataStorageMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteDataStorage">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="submissionFormTemplateId" column="submission_form_template_id" jdbcType="BIGINT"/>
            <result property="keyName" column="key_name" jdbcType="VARCHAR"/>
            <result property="keyValue" column="key_value" jdbcType="OTHER"/>
            <result property="explanation" column="explanation" jdbcType="VARCHAR"/>
            <result property="createdAt" column="created_at" jdbcType="TIMESTAMP"/>
            <result property="updatedAt" column="updated_at" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,submission_form_template_id,key_name,
        key_value,explain,created_at,
        updated_at
    </sql>
</mapper>
